Subject: [RFC PATCH 0/5] Merge common dynamic OF device tree code

From: Nathan Fontenot <[email-masked]>
Date: Wed, 04 Nov 2009 16:07:37 -0600

This is a follow on to Grant Likely's patches, attempting to merge the common
pieces of dynamic OF device tree updating.  These patches move the common
code for adding and removing nodes and properties from the device tree to
drivers/of/of_dynamic.c and wraps them under the new OF_DYNAMIC config
option.  Additionally this makes the necessary updates to powerpc and
microblaze arch's for this move.

Nathan Fontenot (5)
	- Move the declaration of devtree_lock and allnodes to linux/of.h
	- Create drivers/of/of_dynamic.c from common code.
	- powerpc and pseries updates
	- microblaze updates
	- powerpc/iseries updates